
<ng-container *ngIf="!config.buttons">
    <div class="modal-header">
        <i class="mdi mdi-close" (click)="onPressBtn('dismiss')"></i>
    </div>
</ng-container>


<div class="modal-body">
    <ng-container *ngIf="config?.title || config?.detail">
        <i class="modal-icon" [ngClass]="[config?.icon]" [ngStyle]="{'background-color': config?.color, color: '#fff'}"
        *ngIf="config?.icon"></i>
        <strong class="modal-title">{{ config?.title }}</strong>
        <small class="modal-subtitle">{{ config?.message }}</small>
    </ng-container>
    <ng-content></ng-content>
</div>

<div class="modal-footer" *ngIf="config?.buttons">
    <ng-container>
        <div class="modal-action">
            <button *ngFor="let btn of config?.buttons" [class]="btn?.color" (click)="onPressBtn(btn.action)">
                {{ btn.label }}
            </button>
        </div>
    </ng-container>
</div>


